import { request, getRequestParameter } from '@/utils/request';

/**
 * @description 教师得到自己一天的课次
 * @param {Object} { date_stamp } 格式化后的时间 yyy-mm-dd
 */
export function getMyCsItemsDateTeacher(Parameter) {
  let params = getRequestParameter('teaching-cs_item_manager-GetMyCSItems_Date_Teacher', Parameter);

  return request({
    method: 'post',
    url: process.env.VUE_APP_WEB_SI,
    params
  });
}

/**
 * @description 得到课次详情（信息集合）
 * @param {Object} Parameter {id}
 */
export function getCSItemInfoBox(Parameter) {
  let params = getRequestParameter('teaching-cs_item_manager-GetCSItemInfoBox', Parameter);

  return request({
    method: 'post',
    url: process.env.VUE_APP_WEB_SI,
    params
  });
}
