import { request, getRequestParameter } from '@/utils/request';

/**
 * @description 创建进入直播教室链接
 * @param { Object } cs_item_id 课次ID
 */
export function createEnterLiveRoomLink(Parameter) {
  let params = getRequestParameter(
    'live_room-live_room_dispatch-CreateEnterLiveRoomLink',
    Parameter
  );

  return request({
    method: 'post',
    url: process.env.VUE_APP_WEB_SI,
    params
  });
}
