/**
 * 格式化 Date
 * @param {Date} date
 * @returns {String} yyyy-mm-dd
 */
export function formatDate(date) {
  if (arguments.length <= 0 || !date) {
    return null;
  }
  return `${date.getFullYear()}-${date.getMonth() + 1}-${date.getDate()}`;
}
